#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const commander_1 = require("commander");
const update_notifier_1 = __importDefault(require("update-notifier"));
const package_json_1 = __importDefault(require("../package.json"));
// 检测 npm 版本，提示用户更新
(0, update_notifier_1.default)({
    pkg: package_json_1.default,
    updateCheckInterval: 24 * 60 * 60 * 1000, // 每天
}).notify({ isGlobal: true });
(async () => {
    const cosProgram = new commander_1.Command("cos");
    cosProgram.version(package_json_1.default.version, "-v, --version");
    cosProgram.addOption(new commander_1.Option("--config-file [configFile]", "指定配置文件"));
    cosProgram.addOption(new commander_1.Option("-c, --client [client]", "指定要使用的 Client 的名称"));
    await Promise.resolve().then(() => __importStar(require("./command/client"))).then(({ install }) => install(cosProgram));
    await Promise.resolve().then(() => __importStar(require("./command/upload"))).then(({ install }) => install(cosProgram));
    cosProgram.addHelpText("after", `\n${chalk_1.default.blue(`learn more: ${chalk_1.default.underline("https://github.com/HaoChuan9421/coscmd")}`)}`);
    cosProgram.parse(process.argv);
})();
//# sourceMappingURL=index.js.map